Core - Bug # 38126

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Must have
Author: Helmut Hummel Category:

Created: 2012-06-16 Assigned To: Helmut Hummel
Updated: 2012-06-17 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subiject: Load the main configuration file in functional context

Description

Until now the localconf.php file is included in a global scope.
This is a major blocker for a clean and flexible bootstrapping.

Include the main configuration file in a method of the bootstrap class and set all supported global variables as global.

Associated revisions

Revision ae005fd7 - 2012-06-17 00:05 - Helmut Hummel

["[TASK] Load main configuration file in functional context

Until now the localconf.php file is included in a global scope.
This is a major blocker for a clean and flexible bootstrapping.

Include the main configuration file in a method of the bootstrap class

and set all supported global variables as global.

Resolves: #38126

Releases: 6.0

Change-Id: 16bdb1f7624994272c577dcd141d3fc9b18258f9d
Reviewed-on: http://review.typo3.org/12138

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Reviewed-by: Oliver Hader

Tested-by: Oliver Hader

Revision cef4f6f7 - 2012-06-23 23:42 - Helmut Hummel

["[TASK] Load main configuration file in functional context

Until now the localconf.php file is included in a global scope.
This is a major blocker for a clean and flexible bootstrapping.

Include the main configuration file in a method of the bootstrap class

and set all supported global variables as global.
Resolves: #38126

Releases: 6.0

Change-Id: 16bdb1f7624994272c577dcd141d3fc9b18258f9d
Reviewed-on: http://review.typo3.org/12138

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2012-06-16 22:27 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12138

#2 - 2012-06-17 00:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ae005fd7f4803ee26e5b43b1e36f23cbcad2f6ab.
